# Interface ViewpointJson

Describes a point of view for a 2D or 3D view. In a 2D view, the viewpoint is determined using a center point and scale value. In a 3D view, it is determined using a camera position. The Viewpoint can be bookmarked for later use, or used for navigation purposes.

See https://developers.arcgis.com/web-map-specification/objects/viewpoint/ https://developers.arcgis.com/web-scene-specification/objects/viewpoint/.

interface ViewpointJson {
camera?: CameraJson;
rotation?: number;
scale?: number;
targetGeometry?: GeometryJson;
}

#####
Index

### Properties

camera?
rotation?
scale?
targetGeometry?

##
Properties

### `Optional` camera

camera?: CameraJson

The camera defines the position, tilt, and heading of the point from which the SceneView's visible extent is observed.

### `Optional` rotation

rotation?: number

The rotation of due north in relation to the top of the view in degrees.

### `Optional` scale

scale?: number

The scale of the viewpoint.

### `Optional` targetGeometry

targetGeometry?: GeometryJson

The target geometry framed by the viewpoint.